@import '../../_settings/_variables.css';

:root{
    --btn-primary-bg: #f03333;
    --btn-primary-border-color: #e5132a;
    --btn-primary-bg-hover: #e03535;

    --btn-warning-bg: #ffc53e;
    --btn-warning-border-color: #ffc107;
    --btn-warning-bg-hover: #ffc107;

    --btn-success-bg: #198761;
    --btn-success-border-color: #198754;
    --btn-success-bg-hover: #177454;
}
.btn-primary{
    background-color: var(--btn-primary-bg) !important;
    border-color: var(--btn-primary-border-color) !important;
    color: #fff !important;
}


.btn-primary:hover{
    background-color: var(--btn-primary-bg-hover) !important;
    border-color: var(--btn-primary-border-color) !important;
    color: #fff !important;
    filter: brightness(1.1);
}




.btn-warning{
    background-color: var(--btn-warning-bg) !important;
    border-color: var(--btn-warning-border-color) !important;
    color: #000 !important;
}


.btn-warning:hover{
    background-color: var(--btn-warning-bg-hover) !important;
    border-color: var(--btn-warning-border-color) !important;
    color: #000 !important;
}


.btn-success{
    background-color: var(--btn-success-bg) !important;
    border-color: var(--btn-success-border-color) !important;
    color: #fff !important;
}


.btn-success:hover{
    background-color: var(--btn-success-bg-hover) !important;
    border-color: var(--btn-success-border-color) !important;
    color: #fff !important;
}


.btn_eff{
    position: relative;
    overflow: hidden;
    box-shadow:rgb(0 0 0 / 74%) 0px 3px 8px -3px
}

.btn_eff:hover:before{
    -webkit-transform: scale(100) translate(-50%,-50%);
    -ms-transform: scale(100) translate(-50%,-50%);
    transform: scale(100) translate(-50%,-50%);
    opacity: 0;
}


.btn_eff:before {
    content: '';
    position: absolute;
    z-index: 5;
    top: 50%;
    left: 50%;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    -webkit-transform: scale(0) translate(-50%,-50%);
    -ms-transform: scale(0) translate(-50%,-50%);
    transform: scale(0) translate(-50%,-50%);
    -webkit-transition: .5s all ease-in-out;
    -o-transition: .5s all ease-in-out;
    transition: .5s all ease-in-out;
    -webkit-transform-origin: left top;
    -ms-transform-origin: left top;
    transform-origin: left top;
    background: #ffffff45;
    opacity: .5;
}